#
# spec file for package vollkorn-fonts
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define fontname vollkorn

Name:           vollkorn-fonts
Version:        4.105
Release:        2.16
Summary:        A serif font for everyday use
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://vollkorn-typeface.com/
Source0:        http://vollkorn-typeface.com/download/%{fontname}-4-105.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Vollkorn is a text face with dark and meaty serifs and a bouncing look.
It might be used as body type as well as for headlines or titles.

("Vollkorn" is German for »wholemeal« which refers to the old term
"Brotschrift".)

%prep
%setup -T -c %{name} -n %{name}
unzip %{SOURCE0}
chmod 644 *.txt TTF/*.ttf
# Remove DOS line endings:
for i in *.txt; do
 sed -i 's/.$//' $i
done
rm -Rf __MACOSX/ EOT/ PS-OTF/ WOFF/ WOFF2/

%build
# -- nop --

%install
mkdir -p  %{buildroot}%{_ttfontsdir}/
install -c -m 644 TTF/*.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc *.txt
%{_ttfontsdir}

%changelog
* Mon Jul 30 2018 jengelh@inai.de
- Delete undesirable files unconditionally.
* Fri Jun  8 2018 cornelis@solcon.nl
- Update to version 4.105
  * fixed feature code for figures
  * added Dcedilla
  * generated OTF, TTF, WOFF, WOFF2, EOT (but we package only TTF)
- Update to version 4.104
  * fixed ascender of λ
  * added several top anchors to Xx and greek letters
- Update to version  4.103
  * added missing uni0258 ereversed
- Update to version 4.102
  * fixed SemiBold font name
  * fixed some kerning issues
  * added some brackets and musical bars
  * added some anchors to Greek lowercase
- Update to version 4.100
  * added intermediate weights “Medium” and “Extrabold” (and adjusted “SemiBold” and “Bold”)
  * optimised Vietnamese
  * added ca. 40 glyphs to support more languages
  * some new Greek and Latin glyphs
  * fixed Eng
  * added half brackets
* Wed Apr  4 2018 jengelh@inai.de
- Ensure neutrality of description. Use English typography marks
  for English descriptions.
* Wed Apr  4 2018 cornelis@solcon.nl
- update fonts to 4.015:
  * Small Caps (including figures)
  * Cyrillic
  * More localized forms
  * Greek
  * Tabular Oldstyle
  * Inferiors and superiors
  * Uppercase accents
  * Superscripts symbols
  * Currency
  * Mathematical symbols
* Fri Jun 13 2014 sknorr@suse.de
- update fonts to 3.005
- update URL to vollkorn-typeface.com
- remove -j parameter from unzip, as that was not helpful
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Jan  4 2012 toms@suse.de
- Updated to version 2.1 from the author's homepage
* Sun Sep 26 2010 toms@suse.de
- First initial release
